aboutsummaryrefslogtreecommitdiffstats
path: root/contrib
diff options
context:
space:
mode:
authorHarald Welte <laforge@gnumonks.org>2017-07-10 15:05:03 +0200
committerHarald Welte <laforge@gnumonks.org>2017-08-15 20:03:41 +0200
commit0b1b6b1f1ed14269c678970794decda4975eae40 (patch)
tree0a3d81e0fadcde63565db3c8d5a5ed0d78d64a33 /contrib
parent84201d3a4b6b745cfdb4aa3c9fb5d3e04859f89a (diff)
jenkins.sh: Proper error message if local environment isn't set up
Diffstat (limited to 'contrib')
-rwxr-xr-xcontrib/jenkins.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
index 591d6c7..12b2be9 100755
--- a/contrib/jenkins.sh
+++ b/contrib/jenkins.sh
@@ -1,4 +1,11 @@
#!/bin/sh
+# jenkins build helper script for osmo-hlr. This is how we build on jenkins.osmocom.org
+
+if ! [ -x "$(command -v osmo-build-dep.sh)" ]; then
+ echo "Error: We need to have scripts/osmo-deps.sh from http://git.osmocom.org/osmo-ci/ in PATH !"
+ exit 2
+fi
+
set -ex